新手问题 遇到 Expected string default value for '--rc'; got false (boolean)

xingxing9688 · 2017年03月04日 · 最后由 xingxing9688 回复于 2017年03月05日 · 2111 次阅读

rails -v 查看 rails 版本就会遇到这个问题, Expected string default value for '--rc'; got false (boolean)

按照谷歌的方法试试了,没有解决才能这里发帖的。

是因为我把 ruby 升级到 2.4.0 版本,rails 4.2.6 不匹配导致的吗,我升级 rails 到 5.0.2 解决了此问题

我记得 Rails 4.2.7.1 才初步支持 Ruby 2.4.0 的

总之应该是 rails、ruby 版本不匹配导致的吧

是的,版本不匹配导致的

需要 登录 后方可回复, 如果你还没有账号请 注册新账号